<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Change StructType
 * @subpackage Structs
 */
class Change extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $id;
    /**
     * The action
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $action;
    /**
     * The serviceType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $serviceType;
    /**
     * The doGet
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $doGet;
    /**
     * The changedTags
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\ChangedTags
     */
    public $changedTags;
    /**
     * The type
     * @var string
     */
    public $type;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for Change
     * @uses Change::setId()
     * @uses Change::setAction()
     * @uses Change::setServiceType()
     * @uses Change::setDoGet()
     * @uses Change::setChangedTags()
     * @uses Change::setType()
     * @uses Change::setUuid()
     * @param int $id
     * @param string $action
     * @param string $serviceType
     * @param string $doGet
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ChangedTags $changedTags
     * @param string $type
     * @param string $uuid
     */
    public function __construct($id = null, $action = null, $serviceType = null, $doGet = null, \\Losc\CucmBundle\Model\Webservice\StructType\ChangedTags $changedTags = null, $type = null, $uuid = null)
    {
        $this
            ->setId($id)
            ->setAction($action)
            ->setServiceType($serviceType)
            ->setDoGet($doGet)
            ->setChangedTags($changedTags)
            ->setType($type)
            ->setUuid($uuid);
    }
    /**
     * Get id value
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $id
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setId($id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get action value
     * @return string|null
     */
    public function getAction()
    {
        return $this->action;
    }
    /**
     * Set action value
     * @param string $action
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setAction($action = null)
    {
        $this->action = $action;
        return $this;
    }
    /**
     * Get serviceType value
     * @return string|null
     */
    public function getServiceType()
    {
        return $this->serviceType;
    }
    /**
     * Set serviceType value
     * @param string $serviceType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setServiceType($serviceType = null)
    {
        $this->serviceType = $serviceType;
        return $this;
    }
    /**
     * Get doGet value
     * @return string|null
     */
    public function getDoGet()
    {
        return $this->doGet;
    }
    /**
     * Set doGet value
     * @param string $doGet
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setDoGet($doGet = null)
    {
        $this->doGet = $doGet;
        return $this;
    }
    /**
     * Get changedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ChangedTags|null
     */
    public function getChangedTags()
    {
        return $this->changedTags;
    }
    /**
     * Set changedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ChangedTags $changedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setChangedTags(\\Losc\CucmBundle\Model\Webservice\StructType\ChangedTags $changedTags = null)
    {
        $this->changedTags = $changedTags;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setType($type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Change
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
